Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class BindingConfig

    java.lang.Object
      org.apache.xmlbeans.BindingConfig

    public class BindingConfig

extends java.lang.Object

The BindingConfig class is used during compilation to control the generation of java source files. The default BindingConfig does nothing, but sub-classes should provide more interesting behavior.

See Also:
  `XmlBeans.compileXmlBeans()`

Field Summary
`static int` | `QNAME_ACCESSOR_ATTRIBUTE`
`static int` | `QNAME_ACCESSOR_ELEMENT`
`static int` | `QNAME_DOCUMENT_TYPE`
`static int` | `QNAME_TYPE`

Constructor Summary
`BindingConfig()`

Method Summary
`InterfaceExtension[]` | `getInterfaceExtensions()`
`InterfaceExtension[]` | `getInterfaceExtensions(java.lang.String fullJavaName)`
`PrePostExtension` | `getPrePostExtension(java.lang.String fullJavaName)`
`PrePostExtension[]` | `getPrePostExtensions()`
`UserType[]` | `getUserTypes()`
`java.lang.String` | `lookupJavanameForQName(javax.xml.namespace.QName qname)` Deprecated. replaced with `lookupJavanameForQName(QName, int)`
`java.lang.String` | `lookupJavanameForQName(javax.xml.namespace.QName qname, int kind)`
`java.lang.String` | `lookupPackageForNamespace(java.lang.String uri)`
`java.lang.String` | `lookupPrefixForNamespace(java.lang.String uri)`
`java.lang.String` | `lookupSuffixForNamespace(java.lang.String uri)`
`UserType` | `lookupUserTypeForQName(javax.xml.namespace.QName qname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QNAME_TYPE

    public static final int QNAME_TYPE

See Also:
  Constant Field Values

### QNAME_DOCUMENT_TYPE

    public static final int QNAME_DOCUMENT_TYPE

See Also:
  Constant Field Values

### QNAME_ACCESSOR_ELEMENT

    public static final int QNAME_ACCESSOR_ELEMENT

See Also:
  Constant Field Values

### QNAME_ACCESSOR_ATTRIBUTE

    public static final int QNAME_ACCESSOR_ATTRIBUTE

See Also:
  Constant Field Values

Constructor Detail

### BindingConfig

    public BindingConfig()

Method Detail

### lookupPackageForNamespace

    public java.lang.String lookupPackageForNamespace(java.lang.String uri)

  Parameters:
    `uri` - the namespace uri
  Returns:
    the package name for a namespace or null.

### lookupPrefixForNamespace

    public java.lang.String lookupPrefixForNamespace(java.lang.String uri)

  Parameters:
    `uri` - the namespace uri
  Returns:
    the prefix applied to each java name for a namespace or null.

### lookupSuffixForNamespace

    public java.lang.String lookupSuffixForNamespace(java.lang.String uri)

  Parameters:
    `uri` - the namespace uri
  Returns:
    Get the suffix applied to each java name for a namespace or null.

### lookupJavanameForQName

    public java.lang.String lookupJavanameForQName(javax.xml.namespace.QName qname)

  Deprecated. replaced with `lookupJavanameForQName(QName, int)`

  Parameters:
    `qname` - the qname of the java name
  Returns:
    the java name for a QName or null.

### lookupJavanameForQName

    public java.lang.String lookupJavanameForQName(javax.xml.namespace.QName qname,
                                                   int kind)

  Parameters:
    `qname` - the qname of the java name
    `kind` - the type of the qname, which one of `QNAME_TYPE`, `QNAME_DOCUMENT_TYPE`, `QNAME_ACCESSOR_ELEMENT`, `QNAME_ACCESSOR_ATTRIBUTE`
  Returns:
    Get the java name for a QName of a specific component kind, or null.

### getInterfaceExtensions

    public InterfaceExtension[] getInterfaceExtensions()

  Returns:
    all configured InterfaceExtensions or an empty array.

### getInterfaceExtensions

    public InterfaceExtension[] getInterfaceExtensions(java.lang.String fullJavaName)

  Parameters:
    `fullJavaName` - the fully qualified java type name
  Returns:
    all InterfaceExtensions defined for the fully qualified java type generated from schema compilation or an empty array.

### getPrePostExtensions

    public PrePostExtension[] getPrePostExtensions()

  Returns:
    all configued PrePostExtensions or an empty array.

### getPrePostExtension

    public PrePostExtension getPrePostExtension(java.lang.String fullJavaName)

  Parameters:
    `fullJavaName` - the fully qualified java type name
  Returns:
    the PrePostExtension defined for the fully qualified java type generated from schema compilation or null.

### getUserTypes

    public UserType[] getUserTypes()

  Returns:
    all defined user types.

### lookupUserTypeForQName

    public UserType lookupUserTypeForQName(javax.xml.namespace.QName qname)

  Parameters:
    `qname` - the qname of the user type
  Returns:
    a user defined Java type for a given QName.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD